#!/usr/bin/env python3
# -*- coding: utf8 -*-
from __future__ import absolute_import
from __future__ import unicode_literals
from migrationsummary.db.Db import Db
from migrationsummary.debian.Debian import Debian
from migrationsummary.elasticsearch.ElasticSearch import ElasticSearch
from migrationsummary.ispconfig.ISPConfig import ISPConfig
from migrationsummary.maildomains.MailDomains import MailDomains
from migrationsummary.mongodb.MongoDB import MongoDB
from migrationsummary.nginx.Nginx import Nginx
from migrationsummary.php.Php import Php
from migrationsummary.php.PHPDevSock import PHPDevSock
from migrationsummary.vhostsummary.VhostSummary import VhostSummary
from migrationsummary.cmschecks.MagentoCheck import MagentoCheck
from time import time


def main():
    # Execution time
    exec_time = time()

    deb_init = Debian()
    deb_init.summarize()
    php = Php()
    php.summarize()
    php_dev = PHPDevSock()
    php_dev.summarize()
    db_init = Db()
    db_init.summarize()
    nginx = Nginx()
    nginx.summarize()
    mongodb = MongoDB()
    mongodb.summarize()
    elastic_search = ElasticSearch.get()
    elastic_search.summarize()
    mail = MailDomains()
    mail.summarize()
    magento = MagentoCheck()
    magento.summarize()
    vhost = VhostSummary()
    vhost.summarize()
    ispc = ISPConfig()
    ispc.summarize()

    print('Execution time: %s' % (time() - exec_time))


if __name__ == "__main__":
    main()
