#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
ISPConfig Validation Class
"""

from migrationsummary.ispconfig import database
from migrationsummary.ispconfig import detect_setup
from migrationsummary.ispconfig import disk_usage
from migrationsummary.ispconfig import network
from migrationsummary.models.Summary import Summary
from migrationsummary.parsing.template.TemplateRenderer import TemplateRenderer

SERVER_ID = database.get_server_id()


class ISPConfig(Summary):

    def __init__(self):
        super().__init__(plugin_name='ispconfig',
                         template='ispconfig_summary.j2')

    @property
    def server_id(self) -> int:
        return SERVER_ID

    def summarize(self) -> None:
        tpl_init = TemplateRenderer(plugin_name=self.plugin_name,
                                    tpl_name=self.template)
        tpl_str = tpl_init.template_render()
        # Print module header
        print(tpl_str.strip())
        print(database.summary())
        print(detect_setup.summary())
        print("\n" + disk_usage.summary())
        print("\n" + network.summary())
