import migrationsummary
from os import path
from jinja2 import Environment, FileSystemLoader
from typing import Text


class TemplateRenderer():

    plugin_name = ''
    tpl_name = ''

    def __init__(self, plugin_name, tpl_name):
        self.plugin_name = plugin_name
        self.tpl_name = tpl_name

    def template_render(self, **kwargs) -> Text:
        # Render template
        try:
            tpl_path = ''.join(migrationsummary.__path__)
        except Exception:
            tpl_path = ''

        file_loader = FileSystemLoader(
            path.join(tpl_path, 'templates') if tpl_path else 'templates')
        env = Environment(
            loader=file_loader, trim_blocks=True, lstrip_blocks=True)
        template = env.get_template(self.tpl_name)
        output = template.render(plugin=self.plugin_name,
                                 **kwargs)
        return output
